PgpKeyId (Gradle API 2.14.1)

org.gradle.plugins.signing.signatory.pgp

## Class PgpKeyId

- java.lang.Object
- - groovy.lang.GroovyObjectSupport
  - - org.gradle.plugins.signing.signatory.pgp.PgpKeyId

- All Implemented Interfaces:
    GroovyObject, Comparable<PgpKeyId>

      public class PgpKeyId
      extends GroovyObjectSupport
      implements Comparable<PgpKeyId>

  A normalised form for keys, which are friendliest for users as hex strings but used internally as longs.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PgpKeyId(long keyId)`
    `PgpKeyId(org.bouncycastle.openpgp.PGPPublicKey keyId)`
    `PgpKeyId(org.bouncycastle.openpgp.PGPSignature signature)`
    `PgpKeyId(String keyId)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(PgpKeyId other)`
    `boolean` | `equals(Object other)`
    `String` | `getAsHex()`
    `long` | `getAsLong()`
    `int` | `hashCode()`
    `static String` | `toHex(long keyId)`
    `static long` | `toLong(String keyId)`
    `String` | `toString()`

    - ### Methods inherited from class groovy.lang.GroovyObjectSupport

      `getMetaClass, getProperty, invokeMethod, setMetaClass, setProperty`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PgpKeyId

          public PgpKeyId(long keyId)

    - #### PgpKeyId

          public PgpKeyId(org.bouncycastle.openpgp.PGPPublicKey keyId)

    - #### PgpKeyId

          public PgpKeyId(org.bouncycastle.openpgp.PGPSignature signature)

    - #### PgpKeyId

          public PgpKeyId(String keyId)

  - ### Method Detail

    - #### equals

          public boolean equals(Object other)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### compareTo

          public int compareTo(PgpKeyId other)

      Specified by:
        `compareTo` in interface `Comparable<PgpKeyId>`

    - #### getAsHex

          public final String getAsHex()

    - #### getAsLong

          public final long getAsLong()

    - #### toHex

          public static String toHex(long keyId)

    - #### toLong

          public static long toLong(String keyId)